Add a "Mark all as read" button at Special:Notifications for no-JS users
Closed, ResolvedPublic

Description

Add a "Mark all as read" button at Special:Notifications for mobile and no-JS users, e.g. https://www.mediawiki.org/wiki/Special:Notifications


See also: T71732: I want to clear the indicator for messages (For editors with hundreds of notifications)

Quiddity created this task.Apr 14 2015, 6:32 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2015, 6:32 PM
EBernhardson triaged this task as Normal priority.Apr 17 2015, 5:55 PM
EBernhardson added a project: Easy.
EBernhardson set Security to None.
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 7:29 AM
Restricted Application added subscribers: TerraCodes, Luke081515. · View Herald TranscriptApr 27 2016, 4:43 PM
Quiddity updated the task description. (Show Details)Jun 6 2016, 9:34 PM

Presently, Special:Notifications mobile page has 'Mark group as read' for notifications grouped by day:

no-JS mode also displays 'Mark group as read'

Quiddity updated the task description. (Show Details)
Quiddity updated the task description. (Show Details)
Catrope renamed this task from Add a "Mark all as read" button at Special:Notifications for mobile and no-JS users to Add a "Mark all as read" button at Special:Notifications for no-JS users.Aug 8 2016, 9:55 PM

Changing title because this is done in mobile, just not in no-JS

This is a micro-task, and someone asked for advice on IRC. As MatmaRex said, start with https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker and the links in there. After installing Vagrant (see link in there), you can enable the 'echo' role as stated at https://www.mediawiki.org/wiki/MediaWiki-Vagrant#Using_roles .

I would recommend you start by reading https://phabricator.wikimedia.org/diffusion/ECHO/browse/master/includes/special/SpecialNotificationsMarkRead.php and skimming the class referenced from onSubmit.

When you start working on it, please claim the task.

charul97 claimed this task.Mar 2 2017, 11:39 AM
MtDu claimed this task.Aug 12 2017, 12:07 PM

Change 371614 had a related patch set uploaded (by MtDu; owner: MtDu):
[mediawiki/extensions/Echo@master] [WIP] Add 'Mark all as read' button

https://gerrit.wikimedia.org/r/371614

Change 371614 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Add 'Mark all as read' button

https://gerrit.wikimedia.org/r/371614

Catrope closed this task as Resolved.Aug 13 2017, 7:45 PM